classification
Title: multiprocessing example enhancement
Type: Stage: resolved
Components: Documentation Versions: Python 3.9, Python 3.8, Python 3.7
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: docs@python Nosy List: BMV, davin, docs@python, pitrou
Priority: normal Keywords: patch

Created on 2019-09-25 17:37 by BMV, last changed 2019-11-02 16:41 by pitrou. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 16398 closed max12345, 2019-09-25 17:46
Messages (2)
msg353222 - (view) Author: Max Voss (BMV) * Date: 2019-09-25 17:37
Hello all,

I've been trying to understand multiprocessing for a while, I tried multiple times. The PR is a suggested enhancement to the example that made it "click" for me. Or should I say, produced a working result that made sense to me.

Details for each change in the PR. It's short too.

The concept of multiprocessing is easy enough, but the syntax is so unlike regular python and so much happens "behind the curtain" so to speak, it took me a while. When I looked for multiprocessing advice online, many answers seemed unsure if or how their solution worked.

Generally I'd like to help write documentation. So this is a test to see how good your issue handling process is too. :)
msg355873 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2019-11-02 16:41
I rejected the accompanying PR and the changes it proposed, therefore it seems reasonable to close this issue as well.
History
Date User Action Args
2019-11-02 16:41:06pitrousetstatus: open -> closed

nosy: + pitrou
messages: + msg355873

resolution: rejected
stage: patch review -> resolved
2019-09-28 01:31:01terry.reedysetversions: + Python 3.8, Python 3.9
2019-09-25 20:26:55rhettingersetnosy: + davin
2019-09-25 17:46:24max12345setkeywords: + patch
stage: patch review
pull_requests: + pull_request15979
2019-09-25 17:37:14BMVcreate